FROM php:8.1-fpm-alpine

RUN apk add --no-cache \
    openssh\
    sshpass\
    autoconf \
    g++ \
    nodejs \
    npm \
    make \
    zip \
    unzip \
    libxml2-dev \
    libjpeg-turbo-dev \
    libpng-dev \
    libzip-dev \
    git curl \
    curl-dev \
    openssl-dev \
    supervisor \
    freetype-dev \
    imagemagick \
    imagemagick-libs \
    imagemagick-dev \
    && docker-php-ext-install \
    pdo_mysql \
    opcache \
    zip \
    && docker-php-ext-configure gd --with-jpeg --with-freetype \
    && docker-php-ext-install gd

RUN docker-php-ext-install sockets

RUN chown -R www-data:www-data /var/www/*

USER www-data

WORKDIR /var/www

CMD ["php-fpm"]
